
#ifndef __XFCE4MODULES_CONSTANTS_H__
#define __XFCE4MODULES_CONSTANTS_H__

#ifdef DEBUG
#define D(x) x
#else
#define D(x)
#endif
# include <libxfce4util/libxfce4util.h>

/* mime */
#ifndef XFCE4_O_X_LIBRARIES
# define XFCE_USER_CONFIG_DIR xfce_resource_save_location (XFCE_RESOURCE_CONFIG,"/",TRUE),"xfce4"
# define XFCE_USER_CACHE_DIR xfce_resource_save_location (XFCE_RESOURCE_CACHE,"/",TRUE),"xfce4"
# define XFCE_USER_THEMES_DIR xfce_resource_save_location (XFCE_RESOURCE_THEMES,"/",TRUE),"xfce4"
# define XFCE_USER_DATA_DIR xfce_resource_save_location (XFCE_RESOURCE_DATA,"/",TRUE),"xfce4"
# define XFCE_USER_ICONS_DIR xfce_resource_save_location (XFCE_RESOURCE_DATA,"/",TRUE),"xfce4"
#else
# define XFCE_USER_CONFIG_DIR g_get_home_dir(),".config","xfce4"
# define XFCE_USER_CACHE_DIR g_get_home_dir(),".cache","xfce4"
# define XFCE_USER_THEMES_DIR g_get_home_dir(),".themes","xfce4"
# define XFCE_USER_DATA_DIR g_get_home_dir(),".data","xfce4"
# define XFCE_USER_ICONS_DIR g_get_home_dir(),".icons","xfce4"
#endif


#define FREEDESKTOP_MIME_FILE PACKAGE_DATA_DIR,"xfce4","mime","freedesktop.org.xml"
#define MAGIC_MIME_FILE PACKAGE_DATA_DIR,"xfce4","mime","types.xml"
#define APPLICATION_MIME_FILE PACKAGE_DATA_DIR,"xfce4","mime","applications.xml"

#define LOCAL_APPLICATION_MIME_FILE XFCE_USER_CACHE_DIR,"xfce4-modules","applications.xml"
#define RUN_FLAG_FILE XFCE_USER_CACHE_DIR,"xfce4-modules","runflag.2.dbh"
#define RUN_DBH_FILE XFCE_USER_CACHE_DIR,"xfce4-modules","runlist.2.dbh"


#endif
